/*
 * Created on 2005. 4. 14. 
 */
package popFolder.upload;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.rmi.RemoteException;
import java.util.Vector;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

import popFolder.FileList;

/**
 *  δ(÷)  Session Bean
 * 
 * @author BABU
 * @since 2005. 4. 14.
 */
public class UploadBean implements SessionBean {
    public void ejbCreate() throws CreateException, RemoteException {
    }

    /**
     *  Ʈ 
     * 
     * @param path
     * @return
     * @throws RemoteException
     */
    public Vector getFolderList(String path) throws RemoteException {
        Vector vector = null;
        File file = new File(path);

        File[] list = file.listFiles();
        vector = new Vector(10, 1);

        for (int i = 0; i < list.length; i++) {
            if (list[i].isDirectory()) {
                FileList fileList = new FileList();
                fileList.setAbsoulutePath(list[i].getAbsolutePath());
                fileList.setName(list[i].getName());
                fileList.setLength(list[i].length());
                fileList.setDirectory(list[i].isDirectory());
                vector.add(fileList);
            }
        }

        return vector;
    }

    /**
     *  
     * 
     * @param path
     * @return
     * @throws RemoteException
     */
    public boolean mkdir(String path) throws RemoteException {
        File file = new File(path);

        if (file.exists()) {
            return false;
        } else {
            if (file.mkdir()) {
                return true;
            } else {
                return false;
            }
        }
    }

    /**
     *  翩
     * 
     * @param path
     * @return
     * @throws RemoteException
     */
    public boolean exists(String path) throws RemoteException {
        File file = new File(path);

        if (file.exists()) {
            return false;
        } else {
            return true;
        }
    }

    /**
     *  ϱ
     * 
     * @param b
     * @param off
     * @param len
     * @param seek
     * @param file
     * @throws RemoteException
     */
    public void write(byte[] b, int off, int len, int seek, String file)
            throws RemoteException {
        RandomAccessFile raFile = null;

        try {
            raFile = new RandomAccessFile(file, "rw");

            raFile.seek(seek);
            raFile.write(b, off, len);
        } catch (FileNotFoundException e) {
            System.out.println("write() FileNotFoundException : \n"
                    + e.getMessage());
        } catch (IOException e) {
            System.out.println("write() IOException : \n" + e.getMessage());
        } finally {
            try {
                if (raFile != null) {
                    raFile.close();
                }
            } catch (IOException e1) {
                System.out
                        .println("write() IOException : \n" + e1.getMessage());
            }
        }
    }

    /**
     * @see javax.ejb.SessionBean#ejbActivate()
     * @throws javax.ejb.EJBException
     * @throws java.rmi.RemoteException
     */
    public void ejbActivate() throws EJBException, RemoteException {
    }

    /**
     * @see javax.ejb.SessionBean#ejbPassivate()
     * @throws javax.ejb.EJBException
     * @throws java.rmi.RemoteException
     */
    public void ejbPassivate() throws EJBException, RemoteException {
    }

    /**
     * @see javax.ejb.SessionBean#ejbRemove()
     * @throws javax.ejb.EJBException
     * @throws java.rmi.RemoteException
     */
    public void ejbRemove() throws EJBException, RemoteException {
    }

    /**
     * @see javax.ejb.SessionBean#setSessionContext(javax.ejb.SessionContext)
     * @param arg0
     * @throws javax.ejb.EJBException
     * @throws java.rmi.RemoteException
     */
    public void setSessionContext(SessionContext arg0) throws EJBException,
            RemoteException {
    }

}
