package sequence;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

/**
 * Sequence Block Local Interface
 * 
 * @author ٺΰ
 * @since 2005. 3. 30.
 */
public interface SequenceHome extends EJBLocalHome {
    /**
     * Entity 
     * 
     * @param name
     * @param number
     * @return Sequence
     * @throws CreateException
     */
    public Sequence create(String name, Integer number) throws CreateException;

    public Sequence findByPrimaryKey(String name) throws FinderException;
}