<%@ page contentType="text/html;charset=KSC5601" %>
<%@ page import="java.util.*" %>
<%@ page import="util.*" %>
<%@ page import="board.control.*" %>
<%@ page import="board.dto.*" %>
<%
request.setCharacterEncoding("KSC5601");
%>
<jsp:include page="header.jsp" />
<%
// Board ȯ 
int boardPage = 1;
int boardPagePerBlock = 10;
String boardKeyword = null;
int boardSearchType = 0;

BoardListDTO listDto = null;

String email = (String)session.getAttribute("email");

try {
	EJBHomeFactory homeFactory = EJBHomeFactory.getFactory();
	BoardControlHome bch = (BoardControlHome)homeFactory.lookUpHome("java:comp/env/ejb/BoardControlHome", BoardControlHome.class);
	BoardControl bc = bch.create();
	
	String strPage = request.getParameter("page");
	
	if(strPage != null) {
		boardPage = Integer.parseInt(strPage);
	}
	listDto = bc.list(boardPage, boardPagePerBlock, boardKeyword, boardSearchType);


	if(listDto != null) { // Խù Ѵٸ..
		Vector vector = listDto.getList();
%>
<table width="95%">
	<tr>
		<th height="24" width="8%">ȣ</th>
		<th width="50%"> </th>
		<th width="14%">ۼ</th>
		<th width="20%">ۼ</th>
		<th width="8%">ȸ</th>
	</tr>
<%
		int rowCount = vector.size();
		
		for(int i = 0 ; i < rowCount ; i++) {
			BoardDTO dto = (BoardDTO)vector.elementAt(i);
%>
	<tr>
		<td height='24' align='center'><%=dto.getNum()%></td>
		<td><a href=board_view.jsp?num=<%=dto.getNum()%>><%=dto.getSubject()%></a></td>
		<td align='center'><%=dto.getDate().substring(0, 11)%></td>
		<td align='center'><%=dto.getNickname()%></td>
		<td align='center'><%=dto.getHit()%></td>
	</tr>
<%
		}
%>
	<tr>
		<td colspan="5" align="center">
<%
		int currentPage = listDto.getCurrentPage();
		int totalPage = listDto.getTotalPage();
		int startBlock = listDto.getStartBlock();
		int endBlock = listDto.getEndBlock();

		if(currentPage - boardPagePerBlock >= 0) {
			out.println("<a href='board_list.jsp?page=" + (startBlock - 1) + "'></a>");
		}

		for(int i = startBlock; i < endBlock + 1; i++) { 
			if(currentPage == i) {
				out.println("<b>" + i + "</b>");
			} else {
				out.println("<a href=board_list.jsp?page=" + i + ">" + i + "</a>");
			}
		}

		if((startBlock + boardPagePerBlock) < (totalPage + 1)) {
			out.println("<a href='board_list.jsp?page=" + (startBlock + boardPagePerBlock) + "'></a>");
		}
%>
		</td>
	</tr>
</table>
<%
	}
} catch(Exception e) {
	out.println("<p>!! : " + e);
}
	if(email != null) {
%>
<table border="0" cellspacing="0" cellpadding="2" width="95%">
	<tr>
		<td align="right">
			<a href="board_write.jsp">۾</a>
		</td>
	</tr>
</table>
<%
	}
%>
<jsp:include page="footer.jsp" />