package babu.model;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;
import java.util.Vector;

/**
 * Created on 2005. 6. 28
 * 
 * @author BABUKUMA
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class BoardDAO {
    private Connection conn;

    public BoardDAO() {
        try {
            Class.forName("org.gjt.mm.mysql.Driver");
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }

        String url = "jdbc:mysql://localhost:3306/japan4";
        String user = "root";
        String passwd = "alfks2";

        try {
            conn = DriverManager.getConnection(url, user, passwd);
        } catch (SQLException e1) {
            e1.printStackTrace();
        }
    }

    public List listData(int page) {
        int pagePerList = 10;
        Vector list = new Vector();
        String query = "SELECT * FROM Board LIMIT ?,?";
        BoardDTO dto = null;

        PreparedStatement pstmt;
        try {
            pstmt = conn.prepareStatement(query);
            pstmt.setInt(1, (page - 1) * pagePerList);
            pstmt.setInt(2, pagePerList);

            ResultSet rs = pstmt.executeQuery();

            while (rs.next()) {
                dto = new BoardDTO(rs.getLong("number"), rs.getString("title"),
                        rs.getString("name"), rs.getString("contents"), rs
                                .getString("file"));
            }

            rs.close();
            pstmt.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }

        return list;
    }

    public BoardDTO getData(long number) {
        String query = "SELECT * FROM Board WHERE number=?";
        BoardDTO dto = null;

        PreparedStatement pstmt;
        try {
            pstmt = conn.prepareStatement(query);
            pstmt.setLong(1, number);
            ResultSet rs = pstmt.executeQuery();

            if (rs.next()) {
                dto = new BoardDTO(rs.getLong("number"), rs.getString("title"),
                        rs.getString("name"), rs.getString("contents"), rs
                                .getString("file"));
            }
            rs.close();
            pstmt.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }

        return dto;
    }

    public boolean createData(BoardDTO dto) {
        String query = "INSERT INTO Board VALUES ('',?,?,?,?,?)";

        PreparedStatement pstmt;
        try {
            pstmt = conn.prepareStatement(query);
            pstmt.setString(1, dto.getTitle());
            pstmt.setString(2, dto.getName());
            pstmt.setString(3, dto.getContents());
            pstmt.setString(4, dto.getFile());
            pstmt.executeUpdate();
            pstmt.close();
            return true;
        } catch (SQLException e) {
            return false;
        }
    }
}