/*
 * Created on 2005. 4. 14. 
 */
package babu.table;

import javax.swing.table.DefaultTableModel;

/**
 * AbstractTableModel ϱ Ͽ 
 * 
 * @author BABU
 * @since 2005. 4. 14.
 */
public class BABUTableModel extends DefaultTableModel {
    private boolean cellEditable = true;

    /**
     * @see javax.swing.table.TableModel#isCellEditable(int, int)
     * @param arg0
     * @param arg1
     * @return
     */
    public boolean isCellEditable(int arg0, int arg1) {
        if (cellEditable) {
            return super.isCellEditable(arg0, arg1);
        } else {
            return false;
        }
    }

    /**
     * Cell Editable
     * 
     * @param flag
     */
    public void setCellEditable(boolean flag) {
        cellEditable = flag;
    }

    /**
     * All Rows Delete
     */
    public void removeAllRow() {
        int rowCount = this.getRowCount();

        for (int i = rowCount - 1; i >= 0; i--) {
            this.removeRow(i);
        }
    }
}
