/*
 * Created on 2005. 3. 29.
 *
 * Board Table Ʈ ϱ  Local Home Interface
 */
package board;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

/**
 * Board Entity Local Home Interface
 * 
 * @author ٺΰ
 * @since 2005. 3. 30.
 */
public interface BoardHome extends EJBLocalHome {
    /**
     * ο Entity Bean ̺ Ѵ.
     * 
     * @param num
     * @param subject
     * @param contents
     * @param hit
     * @param memos
     * @param mid
     * @return Board
     * @throws CreateException
     */
    public Board create(Integer num, String subject, String contents,
            Integer hit, Integer memos, Integer mid) throws CreateException;

    /**
     * Primary Key ̺ شϴ Entity  ´.
     * 
     * @param num
     * @return Board
     * @throws FinderException
     */
    public Board findByPrimaryKey(Integer num) throws FinderException;

    /**
     *  ˻  
     * 
     * @param subject
     * @param page
     * @param pagePerRows
     * @return Vector
     * @throws FinderException
     */
    public Collection findBySubject(String subject, Integer page,
            Integer pagePerRows) throws FinderException;

    /**
     *  ˻  
     * 
     * @param contents
     * @param page
     * @param pagePerRows
     * @return Vector
     * @throws FinderException
     */
    public Collection findByContents(String contents, Integer page,
            Integer pagePerRows) throws FinderException;

    /**
     *   ˻  
     * 
     * @param keyword
     * @param page
     * @param pagePerRows
     * @return Vector
     * @throws FinderException
     */
    public Collection findByKeyword(String keyword, Integer page,
            Integer pagePerRows) throws FinderException;

    /**
     * شϴ   
     * 
     * @param page
     * @param pagePerRows
     * @return Vector
     * @throws FinderException
     */
    public Collection findByPage(Integer page, Integer pagePerRows)
            throws FinderException;

    /**
     * ü ڵ Ѵ.
     * 
     * @param keyword
     *            ˻
     * @param type
     *            0:ü, 1:˻, 2:˻, 3: ΰ˻
     * @return ü ڵ
     */
    public Integer getTotalCount(String keyword, Integer type);
}