/*
 * Created on 2005. 4. 6. 
 */
package board.control;

import java.rmi.RemoteException;
import java.util.Vector;

import javax.ejb.EJBObject;

import board.dto.BoardDTO;
import board.dto.BoardListDTO;
import board.dto.MemoDTO;

/**
 * Խ õ  Ʈ ϱ  Session Bean Remote Interface
 * 
 * @author BABU
 * @since 2005. 4. 6.
 */
public interface BoardControl extends EJBObject {
    /**
     * BoardDTO , ۳, ȸuid  ԷϿ
     * 
     * @param dto
     * @return 
     * @throws RemoteException
     */
    public boolean write(BoardDTO dto) throws RemoteException;

    /**
     * BoardDTO ۹ȣ, ȸuid  ԷϿ
     * 
     * @param dto
     * @return 
     * @throws RemoteException
     */
    public boolean delete(BoardDTO dto) throws RemoteException;

    /**
     * BoardDTO ۹ȣ, , ۳, ȸuid  Է..
     * 
     * @param dto
     * @return 
     * @throws RemoteException
     */
    public boolean update(BoardDTO dto) throws RemoteException;

    /**
     * ۳ .
     * 
     * @param num
     *            شϴ ۹ȣ
     * @return BoardDTO
     * @throws RemoteException
     */
    public BoardDTO view(int num) throws RemoteException;

    /**
     *  Ʈ
     * 
     * @param page
     *             
     * @param pagePerBlock
     *              Row
     * @param keyword
     *            ˻,  null
     * @param searchType
     *            1:˻, 2:˻, 3: ˻
     * @return
     * @throws RemoteException
     */
    public BoardListDTO list(int page, int pagePerBlock, String keyword,
            int searchType) throws RemoteException;

    /**
     * ۴ޱ,  100 . θ۹ȣ, ۼ uid, ޸𳻿 Է
     * 
     * @param dto
     * @return 
     * @throws RemoteException
     */
    public boolean writeMemo(MemoDTO dto) throws RemoteException;

    /**
     * ۻ, ۹ȣ, ۼ uid ʿ
     * 
     * @param dto
     * @return 
     * @throws RemoteException
     */
    public boolean deleteMemo(MemoDTO dto) throws RemoteException;

    /**
     * ۸Ʈ, MemoDTO Vector · .
     * 
     * @param num
     * @return ۸Ʈ Vector
     * @throws RemoteException
     */
    public Vector listMemo(int num) throws RemoteException;
}