/*
 * Created on 2005. 3. 28.
 *
 * Member Table Ʈ ϱ  Local Home Interface
 */
package member;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

/**
 * Member Entity Local Home Interface
 * 
 * @author ٺΰ
 * @since 2005. 3. 30.
 */
public interface MemberHome extends EJBLocalHome {
    /**
     * Member Ѵ.
     * 
     * @param uid
     * @param email
     * @param passwd
     * @param nickname
     * @return Member
     * @throws CreateException
     */
    public Member create(Integer uid, String email, String passwd,
            String nickname) throws CreateException;

    /**
     * Primary Key Member ˻
     * 
     * @param uid
     * @return Member
     * @throws FinderException
     */
    public Member findByPrimaryKey(Integer uid) throws FinderException;

    /**
     * Email Member ˻
     * 
     * @param email
     * @return Member
     * @throws FinderException
     */
    public Member findByEmail(String email) throws FinderException;

    /**
     * ش  ڵ带 ´.
     * 
     * @param page
     * @param pagePerRows
     * @return Vector
     * @throws FinderException
     */
    public Collection findByPage(int page, int pagePerRows)
            throws FinderException;

    /**
     *  ڵ带 ´.
     * 
     * @return Vector
     * @throws FinderException
     */
    public Collection findByAll() throws FinderException;

    /**
     * nickname  Member ˻
     * 
     * @param nickname
     * @return Vector
     * @throws FinderException
     */
    public Collection findByNickname(String nickname) throws FinderException;

    /**
     * ü ڵ  ´.
     * 
     * @return ü ڵ 
     */
    public Integer getTotalRowsCount();
}