//Created by MyEclipse Struts
// XSL source (default): platform:/plugin/com.genuitec.eclipse.cross.easystruts.eclipse_3.8.4/xslt/JavaClass.xsl

package babu.struts.action;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import babu.model.BoardManager;

/**
 * MyEclipse Struts Creation date: 06-28-2005
 * 
 * XDoclet definition:
 * 
 * @struts:action validate="true"
 * @struts:action-forward name="success" path="/form/list.jsp"
 *                        contextRelative="true"
 * @struts:action-forward name="fail" path="/form/error.jsp"
 *                        contextRelative="true"
 */
public class ListAction extends Action {

    // --------------------------------------------------------- Instance
    // Variables

    // --------------------------------------------------------- Methods

    /**
     * Method execute
     * 
     * @param mapping
     * @param form
     * @param request
     * @param response
     * @return ActionForward
     */
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response) {
        String page = request.getParameter("page");

        if (page == null || page.trim().length() == 0) {
            page = "1";
        }

        BoardManager bm = BoardManager.getInstance();
        List list = bm.list(Integer.parseInt(page));

        if (list == null) {
            return mapping.findForward("fail");
        }

        HttpSession session = request.getSession();
        session.setAttribute("list", list);

        return mapping.findForward("success");
    }
}