/*
 * Created on 2005. 4. 7. 
 */

import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;
import javax.swing.JApplet;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

import javax.swing.JPanel;
import javax.swing.JButton;
import java.awt.FlowLayout;

import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JSplitPane;
import javax.swing.JScrollPane;
import javax.swing.JTree;
import javax.swing.JTable;
import java.awt.CardLayout;
import java.util.Properties;

import javax.swing.JDialog;

/**
 *  
 * 
 * @author BABU
 * @since 2005. 4. 7.
 */
public class Viewer extends JApplet {

    /**
     * Viewer  Ʈѵ
     * 
     * @author BABU
     * @since 2005. 4. 10.
     */
    public class Control extends Thread {
        private String userRoot = null;

        private int type = 0;

        private popFolder.PopFolder pop = null;

        private boolean connected = false;

        private Viewer viewer = null;

        /**
         * 
         * 
         * @param viewer
         */
        public Control(Viewer viewer) {
            this.viewer = viewer;
        }

        private void setType(int type) {
            this.type = type;
        }

        /**
         * @see java.lang.Runnable#run()
         *  
         */
        public void run() {
            switch (type) {
            case 1: // connect()
                connect();
                break;
            default:
                break;
            }
        }

        /**
         * EJB Session Bean Remote Interface 
         */
        private void connect() {
            while (!isActive()) {
                try {
                    Thread.sleep(200);
                } catch (InterruptedException e) {
                    System.out.println("InterruptedException : \n"
                            + e.getMessage());
                }
            }

            try {
                //              EJB  ..
                Properties prop = new Properties();
                prop.put("java.naming.corba.applet", viewer);
                prop.put("java.naming.provider.url", "iiop://"
                        + viewer.getCodeBase().getHost() + ":3700");
                prop.put("javax.rmi.CORBA.UtilClass",
                        "com.sun.corba.ee.impl.javax.rmi.CORBA.Util");
                prop.put("org.omg.CORBA.ORBClass",
                        "com.sun.corba.ee.impl.orb.ORBImpl");
                prop.put("org.omg.CORBA.ORBSingletonClass",
                        "com.sun.corba.ee.impl.orb.ORBSingleton");
                prop.put("java.naming.factory.initial",
                        "com.sun.jndi.cosnaming.CNCtxFactory");
                //prop.put("org.omg.CORBA.ORBInitialHost",
                // viewer.getCodeBase().getHost());
                //prop.put("org.omg.CORBA.ORBInitialPort", "3700");

                System.out.println("InitialContent...");
                InitialContext ctx = new InitialContext();

                System.out.println("lookup...");
                Object ref = ctx.lookup("PopFolderBean");
                System.out.println("narrow...");
                popFolder.PopFolderHome pfh = (popFolder.PopFolderHome) PortableRemoteObject
                        .narrow(ref, popFolder.PopFolderHome.class);
                System.out.println("Remote Interface Create...");
                pop = pfh.create();

                jAlertDialog.setVisible(false);
                jAlertDialog = null;
            } catch (Exception e) {
                System.out.println("connect() Exception : \n" + e);
            }
        }
    }

    private Control control = null;

    private String uid = null;

    private javax.swing.JPanel jContentPane = null;

    private JMenuBar jJMenuBar = null;

    private JMenu jMenu = null;

    private JMenu jMenu1 = null;

    private JMenu jMenu2 = null;

    private JMenuItem jMenuItem = null;

    private JMenuItem jMenuItem1 = null;

    private JMenuItem jMenuItem2 = null;

    private JMenuItem jMenuItem3 = null;

    private JMenuItem jMenuItem4 = null;

    private JMenuItem jMenuItem5 = null;

    private JMenuItem jMenuItem6 = null;

    private JMenuItem jMenuItem7 = null;

    private JMenuItem jMenuItem8 = null;

    private JMenuItem jMenuItem9 = null;

    private JMenuItem jMenuItem10 = null;

    private JMenuItem jMenuItem11 = null;

    private JPanel jPanel = null;

    private JButton jButton = null;

    private JButton jButton1 = null;

    private JTextField jTextField = null;

    private JLabel jLabel = null;

    private JButton jButton2 = null;

    private JSplitPane jSplitPane = null;

    private JScrollPane jScrollPane = null;

    private JTree jTree = null;

    private JTable jTable = null;

    private JScrollPane jScrollPane1 = null;

    private JPanel jPanel1 = null; //  @jve:decl-index=0:visual-constraint="579,181"

    private JLabel jLabel1 = null;

    private JDialog jAlertDialog = null; //  @jve:decl-index=0:visual-constraint="531,34"

    /**
     * This is the default constructor
     */
    public Viewer() {
        super();

        control = new Control(this);

        init();
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    public void init() {
        if (jAlertDialog == null) {
            getJAlertDialog();
        }

        this.setJMenuBar(getJJMenuBar());
        this.setSize(500, 400);
        this.setContentPane(getJContentPane());
    }

    /**
     * This method initializes jContentPane
     * 
     * @return javax.swing.JPanel
     */
    private javax.swing.JPanel getJContentPane() {
        if (jContentPane == null) {
            jContentPane = new javax.swing.JPanel();
            jContentPane.setLayout(new java.awt.BorderLayout());
            jContentPane.add(getJPanel(), java.awt.BorderLayout.NORTH);
            jContentPane.add(getJSplitPane(), java.awt.BorderLayout.CENTER);
        }
        return jContentPane;
    }

    /**
     * This method initializes jJMenuBar
     * 
     * @return javax.swing.JMenuBar
     */
    private JMenuBar getJJMenuBar() {
        if (jJMenuBar == null) {
            jJMenuBar = new JMenuBar();
            jJMenuBar.add(getJMenu());
            jJMenuBar.add(getJMenu1());
            jJMenuBar.add(getJMenu2());
        }
        return jJMenuBar;
    }

    /**
     * This method initializes jMenu
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu() {
        if (jMenu == null) {
            jMenu = new JMenu();
            jMenu.setText("");
            jMenu.add(getJMenuItem());
            jMenu.addSeparator();
            jMenu.add(getJMenuItem1());
            jMenu.add(getJMenuItem2());
            jMenu.addSeparator();
            jMenu.add(getJMenuItem3());
        }
        return jMenu;
    }

    /**
     * This method initializes jMenu1
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu1() {
        if (jMenu1 == null) {
            jMenu1 = new JMenu();
            jMenu1.setText("");
            jMenu1.add(getJMenuItem4());
            jMenu1.addSeparator();
            jMenu1.add(getJMenuItem5());
            jMenu1.add(getJMenuItem6());
            jMenu1.addSeparator();
            jMenu1.add(getJMenuItem7());
            jMenu1.add(getJMenuItem8());
            jMenu1.add(getJMenuItem9());
            jMenu1.addSeparator();
            jMenu1.add(getJMenuItem10());
        }
        return jMenu1;
    }

    /**
     * This method initializes jMenu2
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu2() {
        if (jMenu2 == null) {
            jMenu2 = new JMenu();
            jMenu2.setText("");
            jMenu2.add(getJMenuItem11());
        }
        return jMenu2;
    }

    /**
     * This method initializes jMenuItem
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem() {
        if (jMenuItem == null) {
            jMenuItem = new JMenuItem();
            jMenuItem.setText("ȯ漳");
        }
        return jMenuItem;
    }

    /**
     * This method initializes jMenuItem1
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem1() {
        if (jMenuItem1 == null) {
            jMenuItem1 = new JMenuItem();
            jMenuItem1.setText("޾ƺ ");
        }
        return jMenuItem1;
    }

    /**
     * This method initializes jMenuItem2
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem2() {
        if (jMenuItem2 == null) {
            jMenuItem2 = new JMenuItem();
            jMenuItem2.setText("÷ ");
        }
        return jMenuItem2;
    }

    /**
     * This method initializes jMenuItem3
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem3() {
        if (jMenuItem3 == null) {
            jMenuItem3 = new JMenuItem();
            jMenuItem3.setText("");
        }
        return jMenuItem3;
    }

    /**
     * This method initializes jMenuItem4
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem4() {
        if (jMenuItem4 == null) {
            jMenuItem4 = new JMenuItem();
            jMenuItem4.setText("  ");
        }
        return jMenuItem4;
    }

    /**
     * This method initializes jMenuItem5
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem5() {
        if (jMenuItem5 == null) {
            jMenuItem5 = new JMenuItem();
            jMenuItem5.setText(" ٿε");
        }
        return jMenuItem5;
    }

    /**
     * This method initializes jMenuItem6
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem6() {
        if (jMenuItem6 == null) {
            jMenuItem6 = new JMenuItem();
            jMenuItem6.setText(" ε");
        }
        return jMenuItem6;
    }

    /**
     * This method initializes jMenuItem7
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem7() {
        if (jMenuItem7 == null) {
            jMenuItem7 = new JMenuItem();
            jMenuItem7.setText("");
        }
        return jMenuItem7;
    }

    /**
     * This method initializes jMenuItem8
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem8() {
        if (jMenuItem8 == null) {
            jMenuItem8 = new JMenuItem();
            jMenuItem8.setText("ΰħ");
        }
        return jMenuItem8;
    }

    /**
     * This method initializes jMenuItem9
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem9() {
        if (jMenuItem9 == null) {
            jMenuItem9 = new JMenuItem();
            jMenuItem9.setText("̸ٲٱ");
        }
        return jMenuItem9;
    }

    /**
     * This method initializes jMenuItem10
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem10() {
        if (jMenuItem10 == null) {
            jMenuItem10 = new JMenuItem();
            jMenuItem10.setText("");
        }
        return jMenuItem10;
    }

    /**
     * This method initializes jMenuItem11
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem11() {
        if (jMenuItem11 == null) {
            jMenuItem11 = new JMenuItem();
            jMenuItem11.setText("");
        }
        return jMenuItem11;
    }

    /**
     * This method initializes jPanel
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel() {
        if (jPanel == null) {
            jLabel = new JLabel();
            FlowLayout flowLayout3 = new FlowLayout();
            jPanel = new JPanel();
            jPanel.setLayout(flowLayout3);
            flowLayout3.setAlignment(java.awt.FlowLayout.LEFT);
            jLabel.setText("ϰ˻");
            jPanel.add(getJButton(), null);
            jPanel.add(getJButton1(), null);
            jPanel.add(jLabel, null);
            jPanel.add(getJTextField(), null);
            jPanel.add(getJButton2(), null);
        }
        return jPanel;
    }

    /**
     * This method initializes jButton
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton() {
        if (jButton == null) {
            jButton = new JButton();
            jButton.setText("޾ƺ");
        }
        return jButton;
    }

    /**
     * This method initializes jButton1
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton1() {
        if (jButton1 == null) {
            jButton1 = new JButton();
            jButton1.setText("÷");
        }
        return jButton1;
    }

    /**
     * This method initializes jTextField
     * 
     * @return javax.swing.JTextField
     */
    private JTextField getJTextField() {
        if (jTextField == null) {
            jTextField = new JTextField();
            jTextField.setPreferredSize(new java.awt.Dimension(100, 22));
        }
        return jTextField;
    }

    /**
     * This method initializes jButton2
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton2() {
        if (jButton2 == null) {
            jButton2 = new JButton();
            jButton2.setText("˻");
        }
        return jButton2;
    }

    /**
     * This method initializes jSplitPane
     * 
     * @return javax.swing.JSplitPane
     */
    private JSplitPane getJSplitPane() {
        if (jSplitPane == null) {
            jSplitPane = new JSplitPane();
            jSplitPane.setLeftComponent(getJScrollPane());
            jSplitPane.setRightComponent(getJScrollPane1());
            jSplitPane.setResizeWeight(0.0D);
            jSplitPane.setDividerSize(2);
            jSplitPane.setDividerLocation(150);
        }
        return jSplitPane;
    }

    /**
     * This method initializes jScrollPane
     * 
     * @return javax.swing.JScrollPane
     */
    private JScrollPane getJScrollPane() {
        if (jScrollPane == null) {
            jScrollPane = new JScrollPane();
            jScrollPane.setViewportView(getJTree());
            jScrollPane.setPreferredSize(new java.awt.Dimension(150, 363));
        }
        return jScrollPane;
    }

    /**
     * This method initializes jTree
     * 
     * @return javax.swing.JTree
     */
    private JTree getJTree() {
        if (jTree == null) {
            jTree = new JTree();
        }
        return jTree;
    }

    /**
     * This method initializes jTable
     * 
     * @return javax.swing.JTable
     */
    private JTable getJTable() {
        if (jTable == null) {
            jTable = new JTable();
        }
        return jTable;
    }

    /**
     * This method initializes tableScrollPane
     * 
     * @return javax.swing.JScrollPane
     */
    private JScrollPane getJScrollPane1() {
        if (jScrollPane1 == null) {
            jScrollPane1 = new JScrollPane();
            jScrollPane1.setViewportView(getJTable());
            jScrollPane1.setPreferredSize(new java.awt.Dimension(400, 421));
        }
        return jScrollPane1;
    }

    /**
     * This method initializes jPanel1
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel1() {
        if (jPanel1 == null) {
            jPanel1 = new JPanel();
            jLabel1 = new JLabel();
            jPanel1.setLayout(new CardLayout());
            jPanel1.setSize(111, 66);
            jLabel1.setText("Դϴ.");
            jLabel1
                    .setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
            jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
            jLabel1.setName("jLabel1");
            jPanel1.add(jLabel1, jLabel1.getName());
        }
        return jPanel1;
    }

    /**
     * @see java.applet.Applet#start()
     *  
     */
    public void start() {
        control.setType(1);
        control.start();
    }

    /**
     * This method initializes jDialog
     * 
     * @return javax.swing.JDialog
     */
    private JDialog getJAlertDialog() {
        if (jAlertDialog == null) {
            jAlertDialog = new JDialog();
            jAlertDialog.setContentPane(getJPanel1());
            jAlertDialog.setSize(150, 80);
            jAlertDialog.setLocation(185, 160);
            jAlertDialog.setVisible(true);
            jAlertDialog.addFocusListener(new java.awt.event.FocusAdapter() {
                public void focusLost(java.awt.event.FocusEvent e) {
                    if (jAlertDialog != null) {
                        jAlertDialog.requestFocus();
                    }
                }
            });
        }
        return jAlertDialog;
    }
}
