/*
 * Created on 2005. 4. 17. 
 */
package messanger.client;

import javax.swing.JFrame;

import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;

import javax.swing.JPanel;

import javax.swing.JTextField;

import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.BorderLayout;
import java.awt.Insets;
import java.rmi.RemoteException;
import java.util.StringTokenizer;

import javax.swing.JLabel;
import javax.swing.JPasswordField;

import javax.swing.JButton;

import javax.swing.JScrollPane;
import javax.swing.JTree;

import viewer.jframe.PopFolderViewer;

/**
 *  ޽
 * 
 * @author BABU
 * @since 2005. 4. 17.
 */
public class BonebaMessanger extends JFrame {

    /**
     * TODO To change the template for this generated type comment go to Window -
     * Preferences - Java - Code Style - Code Templates
     * 
     * @author BABU
     * @since 2005. 4. 18.
     */
    public class Refresh extends Thread {
        public void run() {
            while (jMenuPopFolder.isEnabled()) {
                try {
                    Thread.sleep(7000);
                } catch (InterruptedException e) {
                    System.out.println("InterruptedException : \n"
                            + e.getMessage());
                }
                jTree.setModel(control.makeList());
                jContentPane.updateUI();
            }
        }
    }

    private javax.swing.JPanel jContentPane = null;

    private JMenuBar jJMenuBar = null;

    private JMenu jMenu = null;

    private JMenu jMenu1 = null;

    private JMenu jMenu2 = null;

    private JMenuItem jMenuLogout = null;

    private JMenuItem jMenuAddFriend = null;

    private JMenuItem jMenuDeleteFriend = null;

    private JMenuItem jMenuExit = null;

    private JMenuItem jMenuPopFolder = null;

    private JMenuItem jMenuAbout = null;

    private JPanel jPanelLogin = null; //  @jve:decl-index=0:visual-constraint="374,50"

    private JLabel jLabel = null;

    private JTextField jTextEmail = null;

    private JLabel jLabel1 = null;

    private JPasswordField jPasswordField = null;

    private JButton jButton = null;

    private JButton jButton1 = null;

    public JTree jTree = null;

    private BonebaImpl control;

    private JScrollPane jPanelTree = null;

    private Refresh refresh;

    /**
     * α
     */
    private void login() {
        try {
            control = new BonebaImpl(this);

            jTextEmail.setEnabled(false);
            jPasswordField.setEnabled(false);
            String email = jTextEmail.getText().trim();
            String passwd = jPasswordField.getText().trim();

            if (email.length() > 0 && passwd.length() > 0) {
                if (control.Login(email, passwd)) {
                    // α 
                    jContentPane.remove(jPanelLogin);
                    jContentPane.setLayout(new BorderLayout());
                    jContentPane.add(getJPanelTree(), BorderLayout.CENTER);
                    Dimension size = jContentPane.getPreferredSize();
                    jPanelTree.setBounds(2, 2, size.width - 4, size.height - 4);

                    // ģ  
                    jTree.setModel(control.makeList());
                    jContentPane.updateUI();

                    this.setTitle(" - " + control.getInfo().getNickname());
                    jMenuLogout.setEnabled(true);
                    jMenuPopFolder.setEnabled(true);
                    jMenuAddFriend.setEnabled(true);
                    jMenuDeleteFriend.setEnabled(true);

                    refresh = new Refresh();
                    refresh.start();

                    //control.hiFriend();
                    control.findAddFriend();
                } else {
                    // α н
                    JOptionPane.showMessageDialog(this, "αο Ͽϴ.",
                            "ERROR", JOptionPane.ERROR_MESSAGE);
                    jTextEmail.setEnabled(true);
                    jPasswordField.setEnabled(true);
                }
            } else {
                // Է 
                JOptionPane.showMessageDialog(this, "Email н带 ԷϽÿ.",
                        "WARNING", JOptionPane.WARNING_MESSAGE);
                jTextEmail.setEnabled(true);
                jPasswordField.setEnabled(true);
            }
        } catch (Exception e) {

        }
    }

    /**
     *  
     */
    private void exit() {
        if (control != null) {
            logout();
        }
        System.exit(0);
    }

    /**
     * α׾ƿ ó
     */
    private void logout() {
        control.logout();
        control = null;

        this.setTitle("");
        jTextEmail.setEnabled(true);
        jPasswordField.setEnabled(true);
        jPasswordField.setText("");
        jMenuLogout.setEnabled(false);
        jMenuPopFolder.setEnabled(false);
        jMenuAddFriend.setEnabled(false);
        jMenuDeleteFriend.setEnabled(false);

        jContentPane.remove(jPanelTree);

        jContentPane.setLayout(null);
        jContentPane.add(getJPanelLogin());
        Insets insets = jContentPane.getInsets();
        Dimension size = jPanelLogin.getPreferredSize();
        int w = size.width;
        int h = size.height;
        int x = (this.getWidth() - w) / 2;
        int y = (this.getHeight() - h) / 3;
        jPanelLogin.setBounds(x + insets.left, y + insets.top, w, h);

        jContentPane.updateUI();
    }

    /**
     * ģ ߰
     */
    private void addFriend() {
        String friendEmail = JOptionPane.showInputDialog(this,
                "߰ ģ ̸ ԷϽÿ.", "ģ߰", JOptionPane.YES_NO_OPTION);

        if (friendEmail != null) {
            control.addFriend(friendEmail);
        }
    }

    /**
     * äý
     */
    private void startChat() {
        StringTokenizer st = new StringTokenizer(jTree.getSelectionPath()
                .toString(), "[,]");

        if (st.countTokens() == 3) {
            st.nextToken();
            if (st.nextToken().trim().equals("¶")) {
                control.startChat(st.nextToken().trim());
            }
        }
    }

    /**
     * This method initializes jJMenuBar
     * 
     * @return javax.swing.JMenuBar
     */
    private JMenuBar getJJMenuBar() {
        if (jJMenuBar == null) {
            jJMenuBar = new JMenuBar();
            jJMenuBar.add(getJMenu());
            jJMenuBar.add(getJMenu1());
            jJMenuBar.add(getJMenu2());
        }
        return jJMenuBar;
    }

    /**
     * This method initializes jMenu
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu() {
        if (jMenu == null) {
            jMenu = new JMenu();
            jMenu.setText("");
            jMenu.add(getJMenuLogout());
            jMenu.add(getJMenuExit());
        }
        return jMenu;
    }

    /**
     * This method initializes jMenu1
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu1() {
        if (jMenu1 == null) {
            jMenu1 = new JMenu();
            jMenu1.setText("");
            jMenu1.add(getJMenuPopFolder());
            jMenu1.add(getJMenuAddFriend());
            jMenu1.add(getJMenuDeleteFriend());
        }
        return jMenu1;
    }

    /**
     * This method initializes jMenu2
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu2() {
        if (jMenu2 == null) {
            jMenu2 = new JMenu();
            jMenu2.setText("");
            jMenu2.add(getJMenuAbout());
        }
        return jMenu2;
    }

    /**
     * This method initializes jMenuItem
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuLogout() {
        if (jMenuLogout == null) {
            jMenuLogout = new JMenuItem();
            jMenuLogout.setText("α׾ƿ");
            jMenuLogout.setEnabled(false);
            jMenuLogout.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    logout();
                }
            });
        }
        return jMenuLogout;
    }

    /**
     * This method initializes jMenuItem1
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuAddFriend() {
        if (jMenuAddFriend == null) {
            jMenuAddFriend = new JMenuItem();
            jMenuAddFriend.setText("ģ߰");
            jMenuAddFriend.setEnabled(false);
            jMenuAddFriend
                    .addActionListener(new java.awt.event.ActionListener() {
                        public void actionPerformed(java.awt.event.ActionEvent e) {
                            addFriend();
                        }
                    });
        }
        return jMenuAddFriend;
    }

    /**
     * This method initializes jMenuItem2
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuDeleteFriend() {
        if (jMenuDeleteFriend == null) {
            jMenuDeleteFriend = new JMenuItem();
            jMenuDeleteFriend.setText("ģ");
            jMenuDeleteFriend.setEnabled(false);
        }
        return jMenuDeleteFriend;
    }

    /**
     * This method initializes jMenuItem3
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuExit() {
        if (jMenuExit == null) {
            jMenuExit = new JMenuItem();
            jMenuExit.setText("");
            jMenuExit.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    exit();
                }
            });
        }
        return jMenuExit;
    }

    /**
     * This method initializes jMenuItem4
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuPopFolder() {
        if (jMenuPopFolder == null) {
            jMenuPopFolder = new JMenuItem();
            jMenuPopFolder.setText("");
            jMenuPopFolder.setEnabled(false);
            jMenuPopFolder
                    .addActionListener(new java.awt.event.ActionListener() {
                        public void actionPerformed(java.awt.event.ActionEvent e) {
                            try {
                                new PopFolderViewer(control.getInfo().getUid()
                                        .toString());
                            } catch (RemoteException e1) {
                                System.out.println("RemoteException : \n"
                                        + e1.getMessage());
                            }
                        }
                    });
        }
        return jMenuPopFolder;
    }

    /**
     * This method initializes jMenuItem5
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuAbout() {
        if (jMenuAbout == null) {
            jMenuAbout = new JMenuItem();
            jMenuAbout.setText("..");
        }
        return jMenuAbout;
    }

    /**
     * This method initializes jPanel
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanelLogin() {
        if (jPanelLogin == null) {
            jPanelLogin = new JPanel();
            jLabel = new JLabel();
            jLabel1 = new JLabel();
            GridLayout gridLayout3 = new GridLayout();
            jPanelLogin.setLayout(gridLayout3);
            jLabel.setText("E-Mail");
            jLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
            jLabel.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
            gridLayout3.setRows(3);
            gridLayout3.setColumns(2);
            gridLayout3.setHgap(2);
            gridLayout3.setVgap(2);
            jLabel1.setText("Password");
            jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
            jPanelLogin.add(jLabel, null);
            jPanelLogin.add(getJTextEmail(), null);
            jPanelLogin.add(jLabel1, null);
            jPanelLogin.add(getJPasswordField(), null);
            jPanelLogin.add(getJButton(), null);
            jPanelLogin.add(getJButton1(), null);
        }
        return jPanelLogin;
    }

    /**
     * This method initializes jTextField
     * 
     * @return javax.swing.JTextField
     */
    private JTextField getJTextEmail() {
        if (jTextEmail == null) {
            jTextEmail = new JTextField();
            jTextEmail.setPreferredSize(new java.awt.Dimension(100, 22));
            jTextEmail.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    login();
                }
            });
        }
        return jTextEmail;
    }

    /**
     * This method initializes jPasswordField
     * 
     * @return javax.swing.JPasswordField
     */
    private JPasswordField getJPasswordField() {
        if (jPasswordField == null) {
            jPasswordField = new JPasswordField();
            jPasswordField.setPreferredSize(new java.awt.Dimension(100, 22));
            jPasswordField
                    .addActionListener(new java.awt.event.ActionListener() {
                        public void actionPerformed(java.awt.event.ActionEvent e) {
                            login();
                        }
                    });
        }
        return jPasswordField;
    }

    /**
     * This method initializes jButton
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton() {
        if (jButton == null) {
            jButton = new JButton();
            jButton.setText("α");
            jButton.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    login();
                }
            });
        }
        return jButton;
    }

    /**
     * This method initializes jButton1
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton1() {
        if (jButton1 == null) {
            jButton1 = new JButton();
            jButton1.setText("ٽԷ");
            jButton1.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    jTextEmail.setText("");
                    jPasswordField.setText("");
                }
            });
        }
        return jButton1;
    }

    /**
     * This method initializes jTree
     * 
     * @return javax.swing.JTree
     */
    private JTree getJTree() {
        if (jTree == null) {
            jTree = new JTree();
            jTree.setRootVisible(false);
            jTree.addMouseListener(new java.awt.event.MouseListener() {
                public void mouseClicked(java.awt.event.MouseEvent e) {
                    if (e.getClickCount() == 2) {
                        startChat();
                    }
                }

                public void mouseEntered(java.awt.event.MouseEvent e) {
                }

                public void mouseExited(java.awt.event.MouseEvent e) {
                }

                public void mousePressed(java.awt.event.MouseEvent e) {
                }

                public void mouseReleased(java.awt.event.MouseEvent e) {
                }
            });
        }
        return jTree;
    }

    /**
     * This method initializes jScrollPane1
     * 
     * @return javax.swing.JScrollPane
     */
    private JScrollPane getJPanelTree() {
        if (jPanelTree == null) {
            jPanelTree = new JScrollPane();
            jPanelTree.setViewportView(getJTree());
        }
        return jPanelTree;
    }

    public static void main(String[] args) {
        new BonebaMessanger();
    }

    /**
     * This is the default constructor
     */
    public BonebaMessanger() {
        super();

        initialize();
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        this.setJMenuBar(getJJMenuBar());
        this.setSize(300, 400);
        this.setContentPane(getJContentPane());
        this.setTitle("");
        this.setLocationRelativeTo(this);
        this.setVisible(true);
        this.addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent e) {
                exit();
            }
        });
    }

    /**
     * This method initializes jContentPane
     * 
     * @return javax.swing.JPanel
     */
    private javax.swing.JPanel getJContentPane() {
        if (jContentPane == null) {
            jContentPane = new javax.swing.JPanel();
            jContentPane.setLayout(null);
            //jContentPane.setLayout(new BorderLayout());
            //jContentPane.add(getJPanelTree(), java.awt.BorderLayout.CENTER);
            jContentPane.add(getJPanelLogin());
            Insets insets = jContentPane.getInsets();
            Dimension size = jPanelLogin.getPreferredSize();
            int w = size.width;
            int h = size.height;
            int x = (this.getWidth() - w) / 2;
            int y = (this.getHeight() - h) / 3;
            jPanelLogin.setBounds(x + insets.left, y + insets.top, w, h);
        }
        return jContentPane;
    }
}
