/*
 * Created on 2005. 4. 12. 
 */
package viewer.jframe;

import javax.swing.JFrame;

import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;

import javax.swing.JPanel;
import javax.swing.JButton;
import java.awt.FlowLayout;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JToolBar;
import javax.swing.JSplitPane;
import javax.swing.JTable;
import javax.swing.JScrollPane;
import javax.swing.JTree;

import javax.swing.JDialog;

import java.awt.GridLayout;
import java.io.File;
import java.util.StringTokenizer;

import javax.swing.JProgressBar;

import javax.swing.JOptionPane;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.TreePath;

import javax.swing.JPopupMenu;

import babu.table.BABUTableModel;

/**
 * PopFolder Viewer
 * 
 * @author BABU
 * @since 2005. 4. 12.
 */
public class PopFolderViewer extends JFrame {
    private DownLoader downLoader = null;

    private UpLoader upLoader = null;

    private ViewerControl control;

    private javax.swing.JPanel jContentPane = null;

    private JMenuBar jJMenuBar = null;

    private JMenu jMenu = null;

    private JMenu jMenu2 = null;

    private JMenuItem jMenuItem1 = null;

    private JMenuItem jMenuItem2 = null;

    private JMenuItem jMenuItem3 = null;

    private JMenuItem jMenuItem11 = null;

    private JPanel jPanel = null;

    private JButton jButton = null;

    private JButton jButton1 = null;

    private JLabel jLabel = null;

    private JTextField jTextField = null;

    private JButton jButton2 = null;

    private JToolBar jToolBar = null;

    private JSplitPane jSplitPane = null;

    public JScrollPane jScrollPane = null;

    public JTree jTree = null;

    public DefaultMutableTreeNode treeNode = null;

    public JTable jTable = null;

    public JScrollPane tableScrollPane = null;

    private JPanel jContentPane1 = null;

    private JDialog alertDialog = null; //  @jve:decl-index=0:visual-constraint="26,437"

    private JPanel jPanel1 = null;

    private JPanel jPanel2 = null;

    private JLabel alertLabel = null;

    private JProgressBar alertProgressBar = null;

    private JPopupMenu jPopupMenu = null; //  @jve:decl-index=0:visual-constraint="271,440"

    private JMenuItem jMenuItem12 = null;

    private JMenuItem jMenuItem13 = null;

    private JMenuItem jMenuItem14 = null;

    private JPopupMenu jPopupMenu1 = null; //  @jve:decl-index=0:visual-constraint="345,437"

    private JMenuItem jMenuItem15 = null;

    private JMenuItem jMenuItem16 = null;

    private JMenuItem jMenuItem17 = null;

    private JMenuItem jMenuItem18 = null;

    public BABUTableModel model = null; //  @jve:decl-index=0:

    private JMenuItem jMenuItem19 = null;

    /**
     * This is the default constructor
     */
    public PopFolderViewer(String uid) {
        super();

        // ViewerControl
        control = new ViewerControl(this, uid);

        // GUI ʱȭ
        initialize();

        // EJB Connect
        control.start(ViewerControl.CONNECT);
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        this
                .setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        this.setJMenuBar(getJJMenuBar());
        this.setSize(600, 400);
        this.setContentPane(getJContentPane());
        this.setTitle("BONEBA VIEWER");
        this.setLocationRelativeTo(this);
        this.setVisible(true);
    }

    private void exit() {
        this.setVisible(false);
    }

    /**
     * This method initializes jContentPane
     * 
     * @return javax.swing.JPanel
     */
    private javax.swing.JPanel getJContentPane() {
        if (jContentPane == null) {
            jContentPane = new javax.swing.JPanel();
            jContentPane.setLayout(new java.awt.BorderLayout());
            jContentPane.add(getJToolBar(), java.awt.BorderLayout.NORTH);
            jContentPane.add(getJSplitPane(), java.awt.BorderLayout.CENTER);
        }
        return jContentPane;
    }

    /**
     * This method initializes jJMenuBar
     * 
     * @return javax.swing.JMenuBar
     */
    private JMenuBar getJJMenuBar() {
        if (jJMenuBar == null) {
            jJMenuBar = new JMenuBar();
            jJMenuBar.add(getJMenu());
            jJMenuBar.add(getJMenu2());
        }
        return jJMenuBar;
    }

    /**
     * This method initializes jMenu
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu() {
        if (jMenu == null) {
            jMenu = new JMenu();
            jMenu.setText("");
            jMenu.addSeparator();
            jMenu.add(getJMenuItem1());
            jMenu.add(getJMenuItem2());
            jMenu.addSeparator();
            jMenu.add(getJMenuItem3());
        }
        return jMenu;
    }

    /**
     * This method initializes jMenu2
     * 
     * @return javax.swing.JMenu
     */
    private JMenu getJMenu2() {
        if (jMenu2 == null) {
            jMenu2 = new JMenu();
            jMenu2.setText("");
            jMenu2.add(getJMenuItem11());
        }
        return jMenu2;
    }

    /**
     * This method initializes jMenuItem1
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem1() {
        if (jMenuItem1 == null) {
            jMenuItem1 = new JMenuItem();
            jMenuItem1.setText("޾ƺ ");
            jMenuItem1.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    runDownLoader();
                }
            });
        }
        return jMenuItem1;
    }

    /**
     * This method initializes jMenuItem2
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem2() {
        if (jMenuItem2 == null) {
            jMenuItem2 = new JMenuItem();
            jMenuItem2.setText("÷ ");
            jMenuItem2.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    runUpLoader();
                }
            });
        }
        return jMenuItem2;
    }

    /**
     * This method initializes jMenuItem3
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem3() {
        if (jMenuItem3 == null) {
            jMenuItem3 = new JMenuItem();
            jMenuItem3.setText(" ");
            jMenuItem3.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    exit();
                }
            });
        }
        return jMenuItem3;
    }

    /**
     * This method initializes jMenuItem11
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem11() {
        if (jMenuItem11 == null) {
            jMenuItem11 = new JMenuItem();
            jMenuItem11.setText("");
            jMenuItem11.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    popupHelp();
                }
            });
        }
        return jMenuItem11;
    }

    private void popupHelp() {
        JOptionPane.showMessageDialog(this,
                " 1.0\n\n4ǰ\n\n ʿ? ˾Ƽ..", " 1.0",
                JOptionPane.WARNING_MESSAGE);

    }

    /**
     * This method initializes jPanel
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel() {
        if (jPanel == null) {
            jLabel = new JLabel();
            FlowLayout flowLayout1 = new FlowLayout();
            jPanel = new JPanel();
            jPanel.setLayout(flowLayout1);
            flowLayout1.setAlignment(java.awt.FlowLayout.LEFT);
            jLabel.setText("ϰ˻");
            jPanel.add(getJButton(), null);
            jPanel.add(getJButton1(), null);
            jPanel.add(jLabel, null);
            jPanel.add(getJTextField(), null);
            jPanel.add(getJButton2(), null);
        }
        return jPanel;
    }

    /**
     * This method initializes jButton
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton() {
        if (jButton == null) {
            jButton = new JButton();
            jButton.setText("޾ƺ");
            jButton.setToolTipText("File Download..");
            jButton.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    runDownLoader();
                }
            });
        }
        return jButton;
    }

    private void runDownLoader() {
        if (downLoader == null) {
            downLoader = new DownLoader(control.rootPath);
        } else {
            downLoader.setVisible(true);
        }
    }

    /**
     * This method initializes jButton1
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton1() {
        if (jButton1 == null) {
            jButton1 = new JButton();
            jButton1.setText("÷");
            jButton1.setToolTipText("File Upload..");
            jButton1.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    runUpLoader();
                }
            });
        }
        return jButton1;
    }

    private void runUpLoader() {
        if (upLoader == null) {
            upLoader = new UpLoader(control.rootPath);
        } else {
            upLoader.setVisible(true);
        }
    }

    /**
     * This method initializes jTextField
     * 
     * @return javax.swing.JTextField
     */
    private JTextField getJTextField() {
        if (jTextField == null) {
            jTextField = new JTextField();
            jTextField.setPreferredSize(new java.awt.Dimension(150, 22));
        }
        return jTextField;
    }

    /**
     * This method initializes jButton2
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton2() {
        if (jButton2 == null) {
            jButton2 = new JButton();
            jButton2.setText("˻");
            jButton2.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    searchFile();
                }
            });
        }
        return jButton2;
    }

    private void searchFile() {
        JOptionPane.showMessageDialog(this, "(-.-;)( _ _;)\nߪު󪬡ުǪ",
                " 1.0", JOptionPane.WARNING_MESSAGE);

    }

    /**
     * This method initializes jToolBar
     * 
     * @return javax.swing.JToolBar
     */
    private JToolBar getJToolBar() {
        if (jToolBar == null) {
            jToolBar = new JToolBar();
            jToolBar.add(getJPanel());
        }
        return jToolBar;
    }

    /**
     * This method initializes jSplitPane
     * 
     * @return javax.swing.JSplitPane
     */
    private JSplitPane getJSplitPane() {
        if (jSplitPane == null) {
            jSplitPane = new JSplitPane();
            jSplitPane.setResizeWeight(1.0D);
            jSplitPane.setLeftComponent(getJScrollPane());
            jSplitPane.setRightComponent(getTableScrollPane());
        }
        return jSplitPane;
    }

    /**
     * This method initializes jScrollPane
     * 
     * @return javax.swing.JScrollPane
     */
    private JScrollPane getJScrollPane() {
        if (jScrollPane == null) {
            jScrollPane = new JScrollPane();
            jScrollPane.setViewportView(getJTree());
        }
        return jScrollPane;
    }

    /**
     * This method initializes jTree
     * 
     * @return javax.swing.JTree
     */
    public JTree getJTree() {
        if (jTree == null) {
            treeNode = new DefaultMutableTreeNode(File.separator);
            jTree = new JTree(treeNode);
            jTree.setToggleClickCount(2);
            jTree.setVisible(true);
            jTree.setRootVisible(true);
            jTree
                    .addTreeSelectionListener(new javax.swing.event.TreeSelectionListener() {
                        public void valueChanged(
                                javax.swing.event.TreeSelectionEvent e) {
                            eventTreeSelection(e.getPath());
                        }
                    });
            jTree
                    .addTreeExpansionListener(new javax.swing.event.TreeExpansionListener() {
                        public void treeExpanded(
                                javax.swing.event.TreeExpansionEvent e) {
                            //eventTreeExpansion(e.getPath());
                        }

                        public void treeCollapsed(
                                javax.swing.event.TreeExpansionEvent e) {
                        }
                    });
            jTree.addMouseListener(new PopupListener(getJPopupMenu1()));
        }
        return jTree;
    }

    private void eventTreeSelection(TreePath path) {
        control.getFileList(path);
    }

    /**
     * This method initializes jTable
     * 
     * @return javax.swing.JTable
     */
    private JTable getJTable() {
        if (jTable == null) {
            jTable = new JTable();
            jTable.setShowHorizontalLines(false);
            jTable.setShowVerticalLines(false);
            jTable.setModel(getModel());
            jTable.addMouseListener(new PopupListener(this.getJPopupMenu()));
        }
        return jTable;
    }

    /**
     * This method initializes tableScrollPane
     * 
     * @return javax.swing.JScrollPane
     */
    private JScrollPane getTableScrollPane() {
        if (tableScrollPane == null) {
            tableScrollPane = new JScrollPane();
            tableScrollPane.setViewportView(getJTable());
        }
        return tableScrollPane;
    }

    /**
     * This method initializes jContentPane1
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJContentPane1() {
        if (jContentPane1 == null) {
            jContentPane1 = new JPanel();
            GridLayout gridLayout1 = new GridLayout();
            jContentPane1.setLayout(gridLayout1);
            gridLayout1.setRows(2);
            jContentPane1.setBorder(javax.swing.BorderFactory.createLineBorder(
                    java.awt.Color.gray, 2));
            jContentPane1.add(getJPanel1(), null);
            jContentPane1.add(getJPanel2(), null);
        }
        return jContentPane1;
    }

    /**
     * This method initializes alertDialog
     * 
     * @return javax.swing.JDialog
     */
    public JDialog getAlertDialog() {
        if (alertDialog == null) {
            alertDialog = new JDialog();
            alertDialog.setUndecorated(true);
            alertDialog.setContentPane(getJContentPane1());
            alertDialog.setResizable(false);
            alertDialog
                    .setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
            alertDialog.setSize(216, 100);
            alertDialog.setLocation(this.getX() + (this.getWidth() - 216) / 2,
                    this.getY() + (this.getHeight() - 100) / 2);
            alertDialog.setVisible(true);
        }
        return alertDialog;
    }

    /**
     * This method initializes jPanel1
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel1() {
        if (jPanel1 == null) {
            alertLabel = new JLabel();
            jPanel1 = new JPanel();
            alertLabel.setText("..");
            jPanel1.add(alertLabel, null);
        }
        return jPanel1;
    }

    /**
     * This method initializes jPanel2
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel2() {
        if (jPanel2 == null) {
            jPanel2 = new JPanel();
            jPanel2.add(getAlertProgressBar(), null);
        }
        return jPanel2;
    }

    /**
     * This method initializes jProgressBar
     * 
     * @return javax.swing.JProgressBar
     */
    private JProgressBar getAlertProgressBar() {
        if (alertProgressBar == null) {
            alertProgressBar = new JProgressBar();
            alertProgressBar.setStringPainted(true);
            alertProgressBar.setPreferredSize(new java.awt.Dimension(200, 23));
        }
        return alertProgressBar;
    }

    /**
     * Alertâ ݱ
     */
    public void closeAlert() {
        if (alertDialog != null) {
            alertDialog.setVisible(false);
            alertDialog = null;
        }
    }

    /**
     * Alertâ 
     * 
     * @param max
     * @param current
     * @param msg
     */
    public void setAlert(int max, int current, String msg) {
        alertDialog.setModal(true);
        alertLabel.setText(msg);
        alertProgressBar.setMaximum(max);
        alertProgressBar.setValue(current);
    }

    /**
     * This method initializes jPopupMenu
     * 
     * @return javax.swing.JPopupMenu
     */
    private JPopupMenu getJPopupMenu() {
        if (jPopupMenu == null) {
            jPopupMenu = new JPopupMenu();
            jPopupMenu.add(getJMenuItem19());
            jPopupMenu.addSeparator();
            jPopupMenu.add(getJMenuItem12());
            jPopupMenu.add(getJMenuItem13());
            jPopupMenu.add(getJMenuItem14());
        }
        return jPopupMenu;
    }

    /**
     * This method initializes jMenuItem12
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem12() {
        if (jMenuItem12 == null) {
            jMenuItem12 = new JMenuItem();
            jMenuItem12.setText("ΰħ");
            jMenuItem12.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    control.getFileList(jTree.getSelectionPath());
                }
            });
        }
        return jMenuItem12;
    }

    /**
     * This method initializes jMenuItem13
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem13() {
        if (jMenuItem13 == null) {
            jMenuItem13 = new JMenuItem();
            jMenuItem13.setText("");
            jMenuItem13.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    deleteFile();
                }
            });
        }
        return jMenuItem13;
    }

    /**
     *  ϱ
     */
    private void deleteFolder() {
        if (jTree.getSelectionPath() == null) {
            JOptionPane.showMessageDialog(this, "õ  ϴ.\n  ٽϽÿ.",
                    " ", JOptionPane.WARNING_MESSAGE);
        } else {
            if (jTree.getSelectionPath().getPathCount() == 1) {
                JOptionPane.showMessageDialog(this, "ROOT    ϴ.",
                        " ", JOptionPane.WARNING_MESSAGE);
            } else if (JOptionPane.showConfirmDialog(this, " Ͻðڽϱ?",
                    " ", JOptionPane.YES_NO_OPTION) == 0) {
                control.deleteFolder(jTree.getSelectionPath());
            }
        }
    }

    /**
     *  ϱ
     */
    private void deleteFile() {
        int selectRow = jTable.getSelectedRow();

        if (selectRow < 0) {
            JOptionPane.showMessageDialog(this, "õ  ϴ.\n  ٽϽÿ.",
                    " ", JOptionPane.WARNING_MESSAGE);
        } else {
            String fileName = (String) jTable.getValueAt(selectRow, 0);

            if (JOptionPane.showConfirmDialog(this, fileName + " Ͻðڽϱ?",
                    " ", JOptionPane.YES_NO_OPTION) == 0) {
                control.deleteFile(jTree.getSelectionPath(), fileName);
            }
        }
    }

    /**
     * This method initializes jMenuItem14
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem14() {
        if (jMenuItem14 == null) {
            jMenuItem14 = new JMenuItem();
            jMenuItem14.setText("̸ٲٱ");
            jMenuItem14.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    renameFile();
                }
            });
        }
        return jMenuItem14;
    }

    /**
     *  ̸ ٲٱ
     */
    private void renameFolder() {
        if (jTree.getSelectionPath() == null) {
            JOptionPane.showMessageDialog(this, "õ  ϴ.\n  ٽϽÿ.",
                    " ", JOptionPane.WARNING_MESSAGE);
        } else {
            if (jTree.getSelectionPath().getPathCount() == 1) {
                JOptionPane.showMessageDialog(this, "ROOT     ϴ.",
                        " ", JOptionPane.WARNING_MESSAGE);
            } else {
                String rename = JOptionPane.showInputDialog(this,
                        " ̸ ԷϽÿ.", " ̸ٲٱ",
                        JOptionPane.YES_NO_OPTION);

                if (rename == null) {
                    return;
                }

                rename = rename.trim();

                if (rename.length() == 0) {
                    return;
                }

                control.renameFolder(jTree.getSelectionPath(), rename);
            }
        }
    }

    /**
     * ̸ ٲٱ
     */
    private void renameFile() {
        int selectRow = jTable.getSelectedRow();

        if (selectRow < 0) {
            JOptionPane.showMessageDialog(this, "õ  ϴ.\n  ٽϽÿ.",
                    " ", JOptionPane.WARNING_MESSAGE);
        } else {
            String fileName = (String) jTable.getValueAt(selectRow, 0);

            String rename = JOptionPane.showInputDialog(this, fileName
                    + "\n ̸ ԷϽÿ.", " ̸ٲٱ", JOptionPane.YES_NO_OPTION);

            if (rename == null) {
                return;
            }

            rename = rename.trim();

            if (rename.length() == 0) {
                return;
            }

            control.renameFile(jTree.getSelectionPath(), fileName, rename);
        }
    }

    /**
     * This method initializes jPopupMenu1
     * 
     * @return javax.swing.JPopupMenu
     */
    private JPopupMenu getJPopupMenu1() {
        if (jPopupMenu1 == null) {
            jPopupMenu1 = new JPopupMenu();
            jPopupMenu1.add(getJMenuItem18());
            jPopupMenu1.add(getJMenuItem15());
            jPopupMenu1.add(getJMenuItem16());
            jPopupMenu1.add(getJMenuItem17());
        }
        return jPopupMenu1;
    }

    /**
     * This method initializes jMenuItem15
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem15() {
        if (jMenuItem15 == null) {
            jMenuItem15 = new JMenuItem();
            jMenuItem15.setText("ΰħ");
            jMenuItem15.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    control.getFileList(jTree.getSelectionPath());
                }
            });
        }
        return jMenuItem15;
    }

    /**
     * This method initializes jMenuItem16
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem16() {
        if (jMenuItem16 == null) {
            jMenuItem16 = new JMenuItem();
            jMenuItem16.setText("");
            jMenuItem16.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    deleteFolder();
                }
            });
        }
        return jMenuItem16;
    }

    /**
     * This method initializes jMenuItem17
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem17() {
        if (jMenuItem17 == null) {
            jMenuItem17 = new JMenuItem();
            jMenuItem17.setText("̸ٲٱ");
            jMenuItem17.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    renameFolder();
                }
            });
        }
        return jMenuItem17;
    }

    /**
     * This method initializes jMenuItem18
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem18() {
        if (jMenuItem18 == null) {
            jMenuItem18 = new JMenuItem();
            jMenuItem18.setText("ϱ");
        }
        return jMenuItem18;
    }

    /**
     * This method initializes BABUTableModel
     * 
     * @return babu.table.BABUTableModel
     */
    private BABUTableModel getModel() {
        if (model == null) {
            model = new BABUTableModel();
            model.addColumn("ϸ");
            model.addColumn("ũ");
            model.setCellEditable(false);
        }
        return model;
    }

    /**
     * This method initializes jMenuItem19
     * 
     * @return javax.swing.JMenuItem
     */
    private JMenuItem getJMenuItem19() {
        if (jMenuItem19 == null) {
            jMenuItem19 = new JMenuItem();
            jMenuItem19.setText("ٿε");
            jMenuItem19.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    addDownloadFile();
                }
            });
        }
        return jMenuItem19;
    }

    private void addDownloadFile() {
        int selectRow = jTable.getSelectedRow();

        if (selectRow < 0) {
            JOptionPane.showMessageDialog(this, "õ  ϴ.\n  ٽϽÿ.",
                    " ", JOptionPane.WARNING_MESSAGE);
        } else {
            runDownLoader();

            String fileName = (String) jTable.getValueAt(selectRow, 0);
            Long fileSize = (Long) jTable.getValueAt(selectRow, 1);
            String filePath = "";

            StringTokenizer st = new StringTokenizer(jTree.getSelectionPath()
                    .toString(), "[,]");

            if (st.countTokens() > 1) {
                st.nextToken();

                while (st.hasMoreTokens()) {
                    filePath = filePath + File.separator
                            + st.nextToken().trim();
                }
            }

            Object[] row = { fileName, fileSize, new Long(0), "0%",
                    filePath + File.separator + fileName };
            downLoader.model.addRow(row);
            downLoader.btnDownload.setEnabled(true);
        }
    }

}
