/*
 * Created on 2005. 4. 13. 
 */
package viewer.jframe;

import javax.swing.JFrame;

import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.JScrollPane;
import javax.swing.JProgressBar;
import javax.swing.JButton;
import java.awt.FlowLayout;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

import javax.swing.JLabel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.TreePath;

import babu.table.BABUTableModel;

import java.awt.BorderLayout;
import javax.swing.JDialog;
import javax.swing.JTree;

/**
 * ÷
 * 
 * @author BABU
 * @since 2005. 4. 13.
 */
public class UpLoader extends JFrame implements ActionListener {
    private UploaderControl control = null;

    private boolean isUpload = false;

    public DefaultMutableTreeNode treeNode = null;

    private javax.swing.JPanel jContentPane = null;

    private JPanel jPanel = null;

    private JPanel jPanel1 = null;

    private JTable tableUpload = null;

    private JScrollPane jScrollPane = null;

    public JProgressBar jProgressBar = null;

    private JButton btnAdd = null;

    private JButton btnUpload = null;

    private JButton btnSavePath = null;

    private JPanel jPanel2 = null;

    private JPanel jPanel3 = null;

    private JLabel labelSavePath = null;

    private final JFileChooser fc = new JFileChooser(); //  @jve:decl-index=0:visual-constraint="19,278"

    private JButton btnDelete = null;

    public BABUTableModel model = null; //  @jve:decl-index=0:

    private JPanel jContentPane1 = null;

    private JDialog jDialog = null; //  @jve:decl-index=0:visual-constraint="424,18"

    private JPanel jPanel4 = null;

    private JScrollPane jScrollPane1 = null;

    private JTree jTree = null;

    private JButton jButton = null;

    private JButton jButton1 = null;

    /**
     * This is the default constructor
     */
    public UpLoader(String rootPath) {
        super();
        control = new UploaderControl(this, rootPath);
        if (control.connect()) {
            initialize();
        }
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        this
                .setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        this.setSize(400, 250);
        this.setContentPane(getJContentPane());

        btnSavePath.addActionListener(this);
        btnAdd.addActionListener(this);
        btnDelete.addActionListener(this);
        btnUpload.addActionListener(this);

        this.setLocationRelativeTo(this);
        this.setTitle("÷");
        this.setVisible(true);
        this.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent e) {
                eventResize();
            }
        });
    }

    public void eventResize() {
        if (this.getWidth() < 400) {
            this.setSize(400, this.getHeight());
        }

        if (this.getHeight() < 250) {
            this.setSize(this.getWidth(), 250);
        }

        jProgressBar.setPreferredSize(new java.awt.Dimension(
                this.getWidth() - 20, 24));
        jProgressBar.updateUI();
    }

    /**
     * This method initializes jContentPane
     * 
     * @return javax.swing.JPanel
     */
    private javax.swing.JPanel getJContentPane() {
        if (jContentPane == null) {
            jContentPane = new javax.swing.JPanel();
            jContentPane.setLayout(new java.awt.BorderLayout());
            jContentPane.add(getJPanel(), java.awt.BorderLayout.NORTH);
            jContentPane.add(getJScrollPane(), java.awt.BorderLayout.CENTER);
            jContentPane.add(getJPanel2(), java.awt.BorderLayout.SOUTH);
        }
        return jContentPane;
    }

    /**
     * This method initializes jPanel
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel() {
        if (jPanel == null) {
            jPanel = new JPanel();
            jPanel.add(getJProgressBar(), null);
        }
        return jPanel;
    }

    /**
     * This method initializes jPanel1
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel1() {
        if (jPanel1 == null) {
            FlowLayout flowLayout1 = new FlowLayout();
            jPanel1 = new JPanel();
            jPanel1.setLayout(flowLayout1);
            flowLayout1.setAlignment(java.awt.FlowLayout.RIGHT);
            jPanel1.add(getBtnSavePath(), null);
            jPanel1.add(getBtnAdd(), null);
            jPanel1.add(getBtnDelete(), null);
            jPanel1.add(getBtnUpload(), null);
        }
        return jPanel1;
    }

    /**
     * This method initializes jTable
     * 
     * @return javax.swing.JTable
     */
    private JTable getTableUpload() {
        if (tableUpload == null) {
            tableUpload = new JTable();
            tableUpload.setShowGrid(false);
            tableUpload.setShowHorizontalLines(true);
            tableUpload.setModel(getModel());
            tableUpload
                    .setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
            tableUpload.getSelectionModel().addListSelectionListener(
                    new ListSelectionListener() {
                        public void valueChanged(ListSelectionEvent e) {
                            selectedList();
                        }
                    });
        }
        return tableUpload;
    }

    /**
     * Ʈ õǾ 
     */
    private void selectedList() {
        if (isUpload) {
            tableUpload.clearSelection();
        } else if (tableUpload.getSelectedRow() >= 0) {
            btnDelete.setEnabled(true);
        }
    }

    /**
     * This method initializes jScrollPane
     * 
     * @return javax.swing.JScrollPane
     */
    private JScrollPane getJScrollPane() {
        if (jScrollPane == null) {
            jScrollPane = new JScrollPane();
            jScrollPane.setViewportView(getTableUpload());
        }
        return jScrollPane;
    }

    /**
     * This method initializes jProgressBar
     * 
     * @return javax.swing.JProgressBar
     */
    private JProgressBar getJProgressBar() {
        if (jProgressBar == null) {
            jProgressBar = new JProgressBar();
            jProgressBar.setPreferredSize(new java.awt.Dimension(this
                    .getWidth() - 20, 24));
            jProgressBar.setStringPainted(true);
        }
        return jProgressBar;
    }

    /**
     * This method initializes jButton
     * 
     * @return javax.swing.JButton
     */
    private JButton getBtnAdd() {
        if (btnAdd == null) {
            btnAdd = new JButton();
            btnAdd.setText("߰");
        }
        return btnAdd;
    }

    /**
     * This method initializes jButton1
     * 
     * @return javax.swing.JButton
     */
    private JButton getBtnUpload() {
        if (btnUpload == null) {
            btnUpload = new JButton();
            btnUpload.setText("ε");
            btnUpload.setEnabled(false);
        }
        return btnUpload;
    }

    /**
     * This method initializes jButton2
     * 
     * @return javax.swing.JButton
     */
    private JButton getBtnSavePath() {
        if (btnSavePath == null) {
            btnSavePath = new JButton();
            btnSavePath.setText("ġ");
        }
        return btnSavePath;
    }

    /**
     * This method initializes jPanel2
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel2() {
        if (jPanel2 == null) {
            GridLayout gridLayout2 = new GridLayout();
            jPanel2 = new JPanel();
            jPanel2.setLayout(gridLayout2);
            gridLayout2.setRows(2);
            jPanel2.add(getJPanel3(), null);
            jPanel2.add(getJPanel1(), null);
        }
        return jPanel2;
    }

    /**
     * This method initializes jPanel3
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel3() {
        if (jPanel3 == null) {
            labelSavePath = new JLabel();
            jPanel3 = new JPanel();
            labelSavePath.setPreferredSize(new java.awt.Dimension(380, 20));
            labelSavePath
                    .setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
            labelSavePath
                    .setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
            labelSavePath.setText("ġ:" + File.separator);
            jPanel3.add(labelSavePath, null);
        }
        return jPanel3;
    }

    /**
     * ġ 
     * 
     * @param path
     */
    public void setPath(String path) {
        labelSavePath.setText(path);
    }

    /**
     * This method initializes jButton3
     * 
     * @return javax.swing.JButton
     */
    private JButton getBtnDelete() {
        if (btnDelete == null) {
            btnDelete = new JButton();
            btnDelete.setText("");
            btnDelete.setEnabled(false);
        }
        return btnDelete;
    }

    /**
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     * @param e
     */
    public void actionPerformed(ActionEvent e) {
        Object obj = e.getSource();

        if (obj == btnSavePath) { // ġ
            if (jDialog == null) {
                getJDialog();
            } else {
                jDialog.setLocation(this.getX()
                        + (this.getWidth() - jDialog.getWidth()) / 2, this
                        .getY()
                        + (this.getHeight() - jDialog.getHeight()) / 2);
                jDialog.setVisible(true);
            }
        } else if (obj == btnAdd) { //  ߰
            addFile();
        } else if (obj == btnDelete) { //  
            deleteFile();
        } else if (obj == btnUpload) { //  ε
            if (isUpload) {
                stopUpload();
            } else {
                startUpload();
            }
        }
    }

    public void uploadComplete() {
        JOptionPane.showMessageDialog(this, "ۿϷǾϴ.");

        stopUpload();

        model.removeAllRow();
    }

    private void stopUpload() {
        isUpload = false;

        btnUpload.setText("ε");
        btnDelete.setEnabled(false);
        btnAdd.setEnabled(true);
        btnSavePath.setEnabled(true);
        tableUpload.clearSelection();
    }

    private void startUpload() {
        isUpload = true;

        btnUpload.setText("");
        btnDelete.setEnabled(false);
        btnAdd.setEnabled(false);
        btnSavePath.setEnabled(false);
        tableUpload.clearSelection();

        control.start();
    }

    /**
     * ߰
     */
    private void addFile() {
        int rowCount = tableUpload.getRowCount();

        int returnVal = fc.showOpenDialog(this);

        if (returnVal == JFileChooser.APPROVE_OPTION) {
            File file = fc.getSelectedFile();

            Object[] row = { file.getName(), new Long(file.length()),
                    new Long(0), "0%", file.getAbsolutePath() };
            model.addRow(row);
            tableUpload.setModel(model);

            btnUpload.setEnabled(true);
        }
    }

    /**
     * Ͽ  
     */
    private void deleteFile() {
        int selectedRow = tableUpload.getSelectedRow();

        model.removeRow(selectedRow);

        if (model.getRowCount() == 0) {
            btnDelete.setEnabled(false);
            btnUpload.setEnabled(false);
        }
    }

    /**
     * This method initializes model1
     * 
     * @return babu.table.BABUTableModel
     */
    private BABUTableModel getModel() {
        if (model == null) {
            model = new BABUTableModel();
            model.addColumn("ϸ");
            model.addColumn("ũ");
            model.addColumn("ũ");
            model.addColumn("");
            model.addColumn("ü");
            model.setCellEditable(false);
        }
        return model;
    }

    /**
     * This method initializes jContentPane1
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJContentPane1() {
        if (jContentPane1 == null) {
            jContentPane1 = new JPanel();
            jContentPane1.setLayout(new BorderLayout());
            jContentPane1.add(getJPanel4(), java.awt.BorderLayout.SOUTH);
            jContentPane1.add(getJScrollPane1(), java.awt.BorderLayout.CENTER);
        }
        return jContentPane1;
    }

    /**
     * This method initializes jDialog
     * 
     * @return javax.swing.JDialog
     */
    private JDialog getJDialog() {
        if (jDialog == null) {
            jDialog = new JDialog();
            jDialog.setContentPane(getJContentPane1());
            jDialog.setSize(200, 200);
            jDialog.setLocation(this.getX()
                    + (this.getWidth() - jDialog.getWidth()) / 2, this.getY()
                    + (this.getHeight() - jDialog.getHeight()) / 2);
            jDialog.setModal(true);
            jDialog.setVisible(true);
        }
        return jDialog;
    }

    /**
     * This method initializes jPanel4
     * 
     * @return javax.swing.JPanel
     */
    private JPanel getJPanel4() {
        if (jPanel4 == null) {
            jPanel4 = new JPanel();
            jPanel4.add(getJButton(), null);
            jPanel4.add(getJButton1(), null);
        }
        return jPanel4;
    }

    /**
     * This method initializes jScrollPane1
     * 
     * @return javax.swing.JScrollPane
     */
    private JScrollPane getJScrollPane1() {
        if (jScrollPane1 == null) {
            jScrollPane1 = new JScrollPane();
            jScrollPane1.setViewportView(getJTree());
        }
        return jScrollPane1;
    }

    /**
     * This method initializes jTree
     * 
     * @return javax.swing.JTree
     */
    private JTree getJTree() {
        if (jTree == null) {
            treeNode = new DefaultMutableTreeNode(File.separator);
            jTree = new JTree(treeNode);
            jTree
                    .addTreeSelectionListener(new javax.swing.event.TreeSelectionListener() {
                        public void valueChanged(
                                javax.swing.event.TreeSelectionEvent e) {
                            eventTreeSelection(e.getPath());
                        }
                    });
        }
        return jTree;
    }

    private void eventTreeSelection(TreePath path) {
        jButton.setEnabled(true);
        control.getFolderList(path);
    }

    private void selectPath() {
        control.selectPath(jTree.getSelectionPath());
        jDialog.setVisible(false);
    }

    /**
     * This method initializes jButton
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton() {
        if (jButton == null) {
            jButton = new JButton();
            jButton.setText("");
            jButton.setEnabled(false);
            jButton.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    selectPath();
                }
            });
        }
        return jButton;
    }

    /**
     * This method initializes jButton1
     * 
     * @return javax.swing.JButton
     */
    private JButton getJButton1() {
        if (jButton1 == null) {
            jButton1 = new JButton();
            jButton1.setText("");
            jButton1.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent e) {
                    jDialog.setVisible(false);
                    jDialog = null;
                }
            });
        }
        return jButton1;
    }
} //  @jve:decl-index=0:visual-constraint="16,15"
